1. #1
    Membre du Club
    Profil pro
    Inscrit en
    septembre 2009
    Messages
    163
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : septembre 2009
    Messages : 163
    Points : 52
    Points
    52

    Par défaut ATViewer pour les version de c++ builder xe2,xe3,xe8 ou c++ builder 10 seattle

    Bonjour, un membre du forum m'a parler d'un composant pour lire les fichier hex au format hex(avec des colonnes) dans une sorte de Tmemo

    j'ai tester ce composant avec c++ builder 2006 chez un ami il fonctionne super bien et c'est exactement ce que je recherche le souci c'est que je n'est pas c++builder 2006 car je travaille avec le 10 seattle ou le xe8
    maintenant je voulais savoir si il existait pour ces version car impossible de l'installer sur les version que j'ai malgré tout les téléchargement de ATViewer la je suis très embêter
    merci d'avance...

  2. #2
    Expert confirmé
    Homme Profil pro
    Analyste/ Programmeur
    Inscrit en
    juillet 2013
    Messages
    2 056
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Bouches du Rhône (Provence Alpes Côte d'Azur)

    Informations professionnelles :
    Activité : Analyste/ Programmeur

    Informations forums :
    Inscription : juillet 2013
    Messages : 2 056
    Points : 4 523
    Points
    4 523

    Par défaut

    Il y a un truc que je ne comprends pas bien tu arrives à l'installer sous 2006, mais pas sous xe8 (et même pire sous xe2)

    Et depuis, xe8 (si je ne dis pas de bêtises) il y a un système de paquets intégrés à C++ Builder: regarde dedans.

    Comme tu es en C++, c'est le truc classique mais pénible/ long/ prise de tronche, à compiler les 2 types de packages (runtime et design) en exportant à la fois les entêtes (.h) et les librairies (.lib que l'on appelle avec un #pragma link et .dcu pour C++ Builder)

    Par contre, j'ai vu "je-ne-sais-plus-où" des dépendances Virtual TreeView se trouve sous git (*) et MustangpeakVirtualshellTools, c'est plus difficile parce qu'il était initialement hébergé sur le truc de Google fermé et se trouve peut-être sur sourceforge via la ligne de commande ou sous git


    * -> Il y a deux versions/ branches: une version 5.X legacy pour les vieilles versions de C++ Builder (<= xe2-xe3) maintenue par un externe (si je ne dis pas de bêtises) et la version courante

  3. #3
    Membre du Club
    Profil pro
    Inscrit en
    septembre 2009
    Messages
    163
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : septembre 2009
    Messages : 163
    Points : 52
    Points
    52

    Par défaut

    Code : Sélectionner tout - Visualiser dans une fenêtre à part
     y a un truc que je ne comprends pas bien   tu arrives à l'installer sous 2006, mais pas sous xe8 (et même pire sous xe2)
    Excuse moi je voulais dire borland builder c++ 6 et non 2006.

    Je vais refaire quelque tentative en suivant tes conseils et je vais voir pour l autre version sir source forge je te tien au courant en tout ca merci de m avoir repondu

Discussions similaires

  1. Réponses: 47
    Dernier message: 20/05/2015, 15h59
  2. Réponses: 3
    Dernier message: 01/12/2010, 14h46
  3. Réponses: 2
    Dernier message: 26/03/2010, 12h45

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo